|

Get accounts for a specific bank link

get/bank_links/{link_id}/accounts
Preview
Locked
Fetch accounts for a given user's bank link.

Request

Path parameters

link_id·

string

Response

accounts·

array of objects

A mapping of link id to list of accounts
account_type·

anyOf

The bank account type.
balances·

optional object

The account balances
closed·

optional boolean

Whether the account is closed
id·

string

The account ID
link_id·

string

The link id for which this account belongs to
mask·

optional string

The account mask
name·

string

The account name
nickname·

optional string

The account nickname
raw_provider_data·

optional object

Raw provider data from MoneyKit
GET /bank_links/{link_id}/accounts
1curl https://api.onefootprint.com/bank_links/{link_id}/accounts \
2  -u sk_test_xxxxx:
Response example
{
  "accounts": [
    {
      "account_type": "depository.checking",
      "balances": {
        "available": "1200.00",
        "balance_date": "2023-05-15T14:30:00Z",
        "currency": "USD",
        "current": "1250.45",
        "limit": "2000.00"
      },
      "closed": false,
      "id": "acc_12345678",
      "link_id": "bal_x134ssf3rsdf",
      "mask": 1234,
      "name": "Checking Account",
      "nickname": "My Main Checking"
    },
    {
      "account_type": "depository.checking",
      "balances": {
        "available": "1200.00",
        "balance_date": "2023-05-15T14:30:00Z",
        "currency": "USD",
        "current": "1250.45",
        "limit": "2000.00"
      },
      "closed": false,
      "id": "acc_12345678",
      "link_id": "bal_x134ssf3rsdf",
      "mask": 1234,
      "name": "Checking Account",
      "nickname": "My Main Checking"
    }
  ]
}